###
###
###

.seqnames <- paste("chr", c(1:5, "C", "M"), sep="")

.mseqnames <- NULL

.nmask_per_seq <- 0

.onLoad <- function(libname, pkgname)
{
    extdata_dir <- system.file("extdata", package=pkgname, lib.loc=libname)
    bsgenome <- BSgenome(
        organism="Arabidopsis thaliana",
        species="Arabidopsis",
        provider="TAIR",
        provider_version="04232008",
        release_date="NA",
        release_name="dumped from ADB: Mar/14/08",
        source_url="ftp://ftp.arabidopsis.org/home/tair/Sequences/whole_chromosomes/",
        seqnames=.seqnames,
        mseqnames=.mseqnames,
        seqs_pkg=pkgname,
        seqs_dir=extdata_dir,
        nmask_per_seq=.nmask_per_seq,
        masks_pkg=pkgname,
        masks_dir=extdata_dir
    )
    objname <- "Athaliana"
    ns <- asNamespace(pkgname)
    assign(objname, bsgenome, envir=ns)
    namespaceExport(ns, objname)
}

